ICU 74.2: icu::AlphabeticIndex::Bucket Class Reference

ICU 74.2 74.2

Public Member Functions | Friends
icu::AlphabeticIndex::Bucket Class Reference

An index "bucket" with a label string and type. More...

`#include <alphaindex.h>`

Inheritance diagram for icu::AlphabeticIndex::Bucket:

## Public Member Functions
virtual | ~Bucket ()
| Destructor.
const UnicodeString & | getLabel () const
| Returns the label string.
UAlphabeticIndexLabelType | getLabelType () const
| Returns whether this bucket is a normal, underflow, overflow, or inflow bucket.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class.

## Friends
class | AlphabeticIndex
class | BucketList

## Detailed Description

An index "bucket" with a label string and type.

It is referenced by getBucketIndex(), and returned by ImmutableIndex.getBucket().

The Bucket class is not intended for public subclassing.

Stable:
  ICU 51

Definition at line 202 of file alphaindex.h.

## Constructor & Destructor Documentation

## ◆ ~Bucket()

virtual icu::AlphabeticIndex::Bucket::~Bucket | ( |  | ) |
| virtual

Destructor.

Stable:
  ICU 51

## Member Function Documentation

## ◆ getLabel()

const UnicodeString & icu::AlphabeticIndex::Bucket::getLabel | ( |  | ) | const
| inline

Returns the label string.

Returns
  the label string for the bucket

Stable:
  ICU 51

Definition at line 216 of file alphaindex.h.

## ◆ getLabelType()

UAlphabeticIndexLabelType icu::AlphabeticIndex::Bucket::getLabelType | ( |  | ) | const
| inline

Returns whether this bucket is a normal, underflow, overflow, or inflow bucket.

Returns
  the bucket label type

Stable:
  ICU 51

Definition at line 223 of file alphaindex.h.

## Friends And Related Symbol Documentation

## ◆ AlphabeticIndex

friend class AlphabeticIndex
| friend

Definition at line 226 of file alphaindex.h.

## ◆ BucketList

friend class BucketList
| friend

Definition at line 227 of file alphaindex.h.

The documentation for this class was generated from the following file:

- i18n/unicode/alphaindex.h